Bug 846863 - eth0 in bonding doesn't broadcast arp
eth0 in bonding doesn't broadcast arp
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.2
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Veaceslav Falico
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 19:58 EDT by davidyangyi
Modified: 2014-09-30 19:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-30 09:55:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description davidyangyi 2012-08-08 19:58:22 EDT
Description of problem:
I create bond0 with two slaves eth0 and eth1. the system has been running two month. Recently I found that when eth0 is active slave, eth0 doesn't broadcast arp and other machines cannot ping this server.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
cat /etc/modprobe.d/bonding.conf 
alias netdev-bond0 bonding
alias netdev-bond2 bonding

# cat ifcfg-bond0
DEVICE=bond0
BOOTPROTO=static
ONBOOT=yes
NM_CONTROLLED=no
IPADDR=172.16.200.15
NETMASK=255.255.255.128
BONDING_OPTS="mode=1 miimon=100"

# cat ifcfg-eth0
DEVICE=eth0
NM_CONTROLLED=no
BOOTPROTO=none
ONBOOT=yes
MASTER=bond0
SLAVE=yes
USERCTL=no

# cat ifcfg-eth1
DEVICE=eth1
NM_CONTROLLED=no
BOOTPROTO=none
ONBOOT=yes
MASTER=bond0
SLAVE=yes
USERCTL=no
  
Actual results:


Expected results:


Additional info:
Comment 2 davidyangyi 2012-08-10 12:00:37 EDT
Before this happenned, I have used ipmitool to set IP netmask and gateway of the ipmi interface. Could it be related to the ipmi settings?

ipmitool -I open lan set 1 ipsrc static
ipmitool -I open lan set 1 ipaddr 10.10.199.20
ipmitool -I open lan set 1 netmask 255.255.255.128
ipmitool -I open lan set 1 defgw ipaddr 10.10.199.1
Comment 3 davidyangyi 2012-08-26 06:29:30 EDT
It has been confirmed that there is something wrong with the adapter card. It is hardware problem.
I just shutdown the system and then unplug the power wire and plug it back. start the server and everyting is ok now.

my server is SOGUN A620R.
Comment 4 Veaceslav Falico 2012-08-30 09:55:04 EDT
I like these kind of bugs. If it happens again and can't be cured with hardware stuff - feel free to reopen.

Closing as NOTABUG.
Comment 5 davidyangyi 2012-09-01 21:39:13 EDT
I found a case like this. I wonder if it is related to my case.

https://bugzilla.redhat.com/show_bug.cgi?id=808638
Bug 808638 - e1000e v1.4.4 with Intel 82579 chipset looses link

https://bugzilla.redhat.com/show_bug.cgi?id=770675

and today I found my server eth0 and eth1 are both down.
I update the e1000e-2.0.0.1.tar.gz driver and append pcie_aspm=off to kernel

Note You need to log in before you can comment on or make changes to this bug.